package com.school.project.controller.registration;


import com.school.project.dto.StudentRegistrationDTO;
import com.school.project.dto.UserDTO;
import com.school.project.service.userRegistration.StudentRegistrationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/register")
public class StudentRegistrationController {

    @Autowired
    private StudentRegistrationService studentRegistrationService;

    @PostMapping("/student")
    public ResponseEntity<UserDTO> registerStudent(@RequestBody StudentRegistrationDTO student) {

        UserDTO userDTO = studentRegistrationService.registerStudent(student);
        return ResponseEntity.ok(userDTO);
    }
}
