package com.school.project.mapper;


import com.school.project.dto.CourseDTO;
import com.school.project.model.school.Course;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper(componentModel = "spring")
public interface CourseMapper {

    CourseMapper INSTANCE = Mappers.getMapper(CourseMapper.class);

    CourseDTO courseModelToDTO(Course course);

    Course courseDTOToModel(CourseDTO courseDTO);

    List<CourseDTO> courseModelToDTO(List<Course> all);
}
