package com.school.project.service.teacher;

import com.school.project.dto.TeacherDTO;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public interface TeacherService {

    public TeacherDTO saveTeacher(TeacherDTO teacherDTO);

    public List<TeacherDTO> readAllTeachers();

    public TeacherDTO readTeacherById(Long id);

    public TeacherDTO updateTeacher(TeacherDTO teacherDTO, Long id);

    public void deleteTeacherById(Long id);

}
