package com.school.project.mapper;

import com.school.project.dto.DepartmentDTO;
import com.school.project.model.school.Department;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper(componentModel = "spring")
public interface DepartmentMapper {

    DepartmentMapper INSTANCE = Mappers.getMapper(DepartmentMapper.class);

    DepartmentDTO departmentModelToDTO(Department department);

    Department departmentDTOToModel(DepartmentDTO saveDepartment);

    List<DepartmentDTO> departmentListModelToDTO(List<Department> all);

    /*@Mappings({
            @Mapping(target = "id",source = "saveDepartment.departId"),
            @Mapping(target ="name",source = "saveDepartment.departName")
    })*/
    /*@Mappings({
            @Mapping(target = "departId", source ="department.id"),
            @Mapping(target ="departName",source = "department.name")
    })*/
}
