package com.school.project.mapper;

import com.school.project.dto.StudentDTO;
import com.school.project.model.registration.Student;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper(componentModel = "spring")
public interface StudentMapper {

    StudentMapper INSTANCE = Mappers.getMapper(StudentMapper.class);

    StudentDTO studentModelToDTO(Student student);

    Student studentDTOToModel(StudentDTO studentDTO);

    List<StudentDTO> studentModelToDTO(List<Student> all);
}
