package com.school.project.mapper;

import com.school.project.dto.TeacherDTO;
import com.school.project.model.registration.Teacher;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper(componentModel = "spring")
public interface TeacherMapper {

    TeacherMapper INSTANCE = Mappers.getMapper(TeacherMapper.class);

    TeacherDTO teacherModelToDTo(Teacher teacher);

    Teacher teacherDTOToModel(TeacherDTO teacherDTO);

    List<TeacherDTO> teacherModelToDTo(List<Teacher> all);
}
